:root {
  /* === Ana Renkler === */
  --sp-primary: #cc5500;           /* Koyu Turuncu */
  --sp-primary-light: #e65c00;
  --sp-primary-dark: #b34700;

  --sp-secondary: #001f3f;         /* Koyu Lacivert */
  --sp-secondary-light: #003366;
  --sp-secondary-dark: #001a35;

  --sp-gradient1: linear-gradient(90deg, #001f3f 0%, #cc5500 100%);
  --sp-gradient2: linear-gradient(90deg, #001f3f 0%, #cc5500 100%);

  --sp-white: #ffffff;
  --sp-black: #000000;

  --sp-dark: #1b1b1b;
  --sp-gray: #d9d9d9;
  --sp-border: #cccccc;
  --sp-bg: #f4f4f4;

  --sp-font-primary: 'Poppins', sans-serif;
  --sp-font-secondary: 'Roboto', sans-serif;
  --sp-font-mono: 'Consolas', monospace;
}
/* ---//--- */

/* --- Selection Colors --- */
::-webkit-selection {
    background-color: var(--sp-primary);
    color: #ffffff;-webkit-text-fill-color: #ffffff;
}

::selection {
    background-color: var(--sp-primary);
    color: #ffffff;-webkit-text-fill-color: #ffffff;
}

/* ---//--- */

/* --- Scrollbar Colors --- */

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
    background-color: var(--sp-border-extra-light);
}

::-webkit-scrollbar-thumb {
    background-color: var(--sp-scrollbar-thumb);
    border-radius: 10px;
}

::-webkit-scrollbar-corner {
    background-color: var(--sp-border-extra-light);
}

/* ---//--- */